Companies
Update Company
Update a company.
Authorization
ApiKeyAuth x-api-key<token>
In: header
Path Parameters
companyIdOrSlug*string
Company ID or slug
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/companies/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "legalName": "string", "tradeName": "string", "ein": "string", "entityType": "LLC", "structureType": "MEMBER", "taxElection": "C Corporation", "fiscalEndMonth": "January", "formationDate": "2019-08-24", "formationState": "AL", "principalAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "AD" }, "mailingAddress": { "line1": "string", "line2": "string", "city": "string", "state": "string", "postalCode": "string", "country": "AD" }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}